2 Replies Latest reply: May 24, 2012 5:26 AM by JustAnotherFinnThankYou
JustAnotherFinnThankYou Level 1 Level 1 (0 points)

I just migrated from Snow Leopard to Lion and now can't open or upgrade Logic Express 9.0.1 to a Lion version. How can I upgrade the software to the latest version? Software update doesn't show anything. I've migrated using my Time Machine backup from my Macbook running latest Snow Leopard.


Logic Express 9.0.1, Mac OS X (10.7.4)